// CarbrioSettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RomLister.h"
#include "CarbrioSettingsDlg.h"
#include ".\carbriosettingsdlg.h"
#include "fileStuff.h"

// CCarbrioSettingsDlg dialog

IMPLEMENT_DYNAMIC(CCarbrioSettingsDlg, CDialog)
CCarbrioSettingsDlg::CCarbrioSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCarbrioSettingsDlg::IDD, pParent)
{
}

CCarbrioSettingsDlg::~CCarbrioSettingsDlg()
{
}

void CCarbrioSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CABRIOLOGOPATH, m_logoImagesPathTxt);
	DDX_Control(pDX, IDC_CABRIOLISTTITLE, m_TitleTxt);
	DDX_Control(pDX, IDC_CABRIOSCREENSHOTSPATH, m_screenshotsPathTxt);
	DDX_Control(pDX, IDC_CABRIOSCREENSHOTSPATH2, m_backgroundsPathTxt);
}


BEGIN_MESSAGE_MAP(CCarbrioSettingsDlg, CDialog)
	ON_BN_CLICKED(IDC_LOGOPATHBROWSE, OnBnClickedLogopathbrowse)
	ON_BN_CLICKED(IDC_SCREENSHOTBROWSE, OnBnClickedScreenshotbrowse)
	ON_BN_CLICKED(IDC_BACKGROUNDPATHBROWSE, OnBnClickedBackgroundpathbrowse)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
END_MESSAGE_MAP()


// CCarbrioSettingsDlg message handlers

void CCarbrioSettingsDlg::OnBnClickedLogopathbrowse()
{
	CFileStuff fileStuff;

	// open a "browse to folder" dialog
	if (fileStuff.UserBrowseFolder(m_path1, "Folder of logo images...") != TRUE)
		return;
	m_path1+="\\";
	m_logoImagesPathTxt.SetWindowText(m_path1);

}

void CCarbrioSettingsDlg::OnBnClickedScreenshotbrowse()
{
	CFileStuff fileStuff;

	// open a "browse to folder" dialog
	if (fileStuff.UserBrowseFolder(m_path2, "Folder of screesnhots...") != TRUE)
		return;
	m_path2+="\\";
	m_screenshotsPathTxt.SetWindowText(m_path2);	

}

void CCarbrioSettingsDlg::OnBnClickedBackgroundpathbrowse()
{
	CFileStuff fileStuff;

	// open a "browse to folder" dialog
	if (fileStuff.UserBrowseFolder(m_path3, "Folder of background images...") != TRUE)
		return;
	m_path3+="\\";
	m_backgroundsPathTxt.SetWindowText(m_path3);
}

void CCarbrioSettingsDlg::OnBnClickedOk()
{
	m_TitleTxt.GetWindowText(m_title);
	m_backgroundsPathTxt.GetWindowText(m_path3);
	m_screenshotsPathTxt.GetWindowText(m_path2);	
	m_logoImagesPathTxt.GetWindowText(m_path1);
	OnOK();
}
