// ErrorMessage.cpp: implementation of the CErrorMessage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ErrorMessage.h"
#include ".\errormessage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
//
// Default Constructor
//
CErrorMessage::CErrorMessage()
: m_fDontReport(FALSE)		// Report Error by default
, m_MsgIcon(ICON_DEFAULT)	// Default Icon in MB_ICONERROR
, m_sMsg(_T("MSG_DEFAULT"))	// Default Message
{
}
//
// Allow characteristics to be specified in construction
//
CErrorMessage::CErrorMessage(const char* sMsg, long Icon, BOOL fDontReport)
: m_fDontReport(fDontReport)
, m_MsgIcon(Icon)			
, m_sMsg(sMsg)
{
}
//
// Destructor
//
CErrorMessage::~CErrorMessage()
{

}
//
// Report Error in a Message Box
//
int CErrorMessage::Report(void)
{
	if(!m_fDontReport) return AfxMessageBox(m_sMsg,m_MsgIcon);
	return 0;
}
