// GenericOutputDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RomLister.h"
#include "GenericOutputDlg.h"
#include ".\genericoutputdlg.h"
#include "fileStuff.h"

// CGenericOutputDlg dialog

IMPLEMENT_DYNAMIC(CGenericOutputDlg, CDialog)
CGenericOutputDlg::CGenericOutputDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGenericOutputDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

CGenericOutputDlg::~CGenericOutputDlg()
{
}

void CGenericOutputDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_GENOUTPUTWINDOW, m_GenericOutputWindow);
	DDX_Control(pDX, IDC_GENERICOUTPUTBTN1, m_genericOutputButton1);
}


BEGIN_MESSAGE_MAP(CGenericOutputDlg, CDialog)
	ON_WM_SIZE()
	ON_EN_SETFOCUS(IDC_GENOUTPUTWINDOW, OnEnSetfocusGenoutputwindow)
	ON_BN_CLICKED(IDC_GENERICOUTPUTBTN1, OnBnClickedGenericoutputbtn1)
END_MESSAGE_MAP()

BEGIN_EASYSIZE_MAP(CGenericOutputDlg)
  EASYSIZE(IDC_GENOUTPUTWINDOW,ES_BORDER,ES_BORDER,ES_BORDER,IDC_GENERICOUTPUTBTN1,0) // l,r,t,b
  EASYSIZE(IDC_GENERICOUTPUTBTN1,ES_BORDER,ES_KEEPSIZE,ES_KEEPSIZE,ES_BORDER,0) 
END_EASYSIZE_MAP

// CGenericOutputDlg message handlers
BOOL CGenericOutputDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	CDialog::SetWindowText(m_title);

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	m_GenericOutputWindow.SetWindowText(m_outputTxt);
	
	if (m_buttonFuction1 == BTN_SAVE) 
	{
		m_genericOutputButton1.SetWindowText("Save");
		m_genericOutputButton1.EnableWindow(1);
		m_genericOutputButton1.ShowWindow(1);
	}


	INIT_EASYSIZE;
	return TRUE;
}
void CGenericOutputDlg::OnSize(UINT nType, int cx, int cy) 
{
    CDialog::OnSize(nType, cx, cy);
    UPDATE_EASYSIZE;
} 


void CGenericOutputDlg::OnEnSetfocusGenoutputwindow()
{
	m_GenericOutputWindow.SetSel(-1,0);
}

// this button changes function, depending on the dialog that called it.
void CGenericOutputDlg::OnBnClickedGenericoutputbtn1()
{
	CFileStuff fileStuff;
	CString m_sFilePath;
	FILE* pDataFile;
	LPCTSTR m_FileFilter;
	LPCTSTR m_FileExt;

	if (m_buttonFuction1 == BTN_SAVE) 
	{
		m_GenericOutputWindow.GetWindowText(m_outputTxt);
		m_FileFilter = "txt files (*.txt)\0*.txt\0";
		m_FileExt = "txt";
		// popup a save browser
		fileStuff.m_windowTitle = "Save file as...";
		fileStuff.UserBrowseSave(&m_sFilePath, m_FileFilter, m_FileExt);
		// ok, got filename.  or do we?  if nothing's there, the user hit cancel.  bail out.
		if (m_sFilePath.GetLength() == 0)
			return;
	
		pDataFile = fopen(m_sFilePath, "wb");  // open the file in overwrite mode

		fwrite(m_outputTxt, sizeof( char ), m_outputTxt.GetLength(), pDataFile);
		// close file, wrap it up.
		if ( pDataFile != NULL )
			{
				fclose(pDataFile);
				pDataFile=NULL;
			}
	}

}
