#pragma once
#include "afxwin.h"
#include "SADirRead.h"


// CROMListerSettingsDlg dialog

class CROMListerSettingsDlg : public CDialog
{
	DECLARE_DYNAMIC(CROMListerSettingsDlg)

public:
	CROMListerSettingsDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CROMListerSettingsDlg();

// Dialog Data
	enum { IDD = IDD_ROMLISTERSETTINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
	CEdit m_listXMLPath;
	CEdit m_controlsXMLPath;
	CEdit m_catVerPath;
	CEdit m_outputFilename;
	afx_msg void OnBnClickedListxmlbrowse();

	CString m_sXmlFilePath;		// path+file to MAME's listxml
	CString m_sCatverFilePath;  // path+file of catver.ini
	CString m_controlsFilePath; // path+file of controls.xml
	CString m_nplayersFilePath; // path+file of nplayers.ini
	CString m_masterFilePath;	// master filename
	int	m_hideSHA1s;			// cleanup display option

	CString m_catverData;
	CString m_controlsData;
	CString m_xmlHeader;
	CString m_ROMData;	
	CString m_mergedData;
	CString m_nplayersData;
	
	CSADirRead::SAFileVector::const_iterator m_ROMFiles; // index thingyabob into file array
	CSADirRead m_ROMsDir;


	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedControlsxmlbrowse();
	afx_msg void OnBnClickedCatverbrowse();
	afx_msg void OnBnClickedMergeit();
	afx_msg void OnBnClickedOutputfilebtn();
	afx_msg void OnBnClickedRomscanbtn();
	afx_msg void OnBnClickedNplayersbrowse();
	void checkMergeButton();
	CEdit m_nplayersPath;
	afx_msg void OnBnClickedMala2XML();
	afx_msg void OnBnClickedxml2ini();
	afx_msg void OnBnClickedRomdir2xml();
	afx_msg void OnBnClickedListconvert();
};
