#pragma once
#include "fileStuff.h"
#include "malaListDef.h"

// CRl

class CRl : public CWnd
{
	DECLARE_DYNAMIC(CRl)

public:
	CRl();
	virtual ~CRl();
	
	//bool processCmdline(int argc, _TCHAR* argv[], CString &infile, CString &outfile, CString &searchItems, int &mode);
	//void locateHeader(FILE* pinFile, FILE* poutFile);
	//bool getROMDesc(FILE* pinputFile, CString &romDesc, CString keyword);
//	bool gatherNotRunnable(FILE* pinputFile, CString &notRunnable);
	//void printHelp();

	bool isRomWanted(CString romDesc, CString searchItems);
	bool foundItem(CString romDesc, CString searchItem, bool lower=true );
	bool wildcardSearch(CString romDesc, CString searchItem);
	int gatherItem(CString romDesc, CString searchItems, CString &tmp, int startPos=0, bool findAll=true);
	void getROMName(CString romDesc, CString &romName);
	void getROMDescription(CString romDesc, CString &romDescript);
	void getXMLData(int &position, CString romDesc, CString keyTag, CString element, CString &XMLData);
	void XMLMode(CString &outputFile, CString roms, int romCount);
	void BatchMode(CString &outputFile, CString roms, int romCount, CString batchfileText);
	void DescOnly(CString &outputFile, CString roms, int romCount);
	void ROMNameOnly(CString &outputFile, CString roms, int romCount);
	void MAMEUIFxMode(CString &outputFile, CString Header, CString roms, int romCount);
	void AtomicMode(CString &outputFile, CString roms, int romCount);
	void CSVMode(CString &outputFile, CString roms, int romCount, CString header);
	void mGalaxyMode(CString outputFile, CString romPath, CString roms, int romCount);
	void initialList();
	int  lookupKey(CString romname);
	void MaLaMode(CString outputFile, malaListHeader malaHeader, CString roms, int romCount);
	void MameWahMode(CString &outputFile, CString roms, int romCount);
	void AttractMode(CString &outputFile, CString roms, int romCount);
	void MaximusMode(CString outputFile, CString romPath, CString roms, int romCount);
	//CString extractMaximusEntry(CString &inputData);
	void KhameleonMode(CString &outputFile, CString roms, int romCount, CString listName);
	void HyperSpinMode(CString &outputFile, CString roms, int romCount);
	void AdvanceMenuLstMode(CString &outputFile, CString roms, int romCount);
	void cabrioMode(CString &outputFile, CString roms, int romCount, CString m_title, CString m_path1, CString m_path2, CString m_path3);
	//void xmlConvert(CString &romDesc);
	void convertMalaData(malaList mala, unsigned char *buffer, int &ptr);
	void convertMalaHeader(malaListHeader malaHeader, unsigned char *buffer, int &ptr);
	CString getMalaString(char* tgtBuffer, int &ptr);
	void getMalaEntry(char* tgtBuffer, int &ptr, malaList &pMalaData);
	CString m_searchItems;
	CString m_output;	// final output from all modes
	int m_count;
	int m_total;
	int m_countPtr;		// position where final count of ROMs goes.
	CFileStuff m_file;
	CString m_delim;
	void xml2txt(CString &romDesc);
	void txt2xml(CString &romDesc);
	void txt2xmlTag(CString &romDesc);
protected:
	DECLARE_MESSAGE_MAP()
};


