// SearchHistoryDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RomLister.h"
#include "SearchHistoryDlg.h"
#include "SortListCtrl.h"


// CSearchHistoryDlg dialog

IMPLEMENT_DYNAMIC(CSearchHistoryDlg, CDialog)
CSearchHistoryDlg::CSearchHistoryDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSearchHistoryDlg::IDD, pParent)
{
}

CSearchHistoryDlg::~CSearchHistoryDlg()
{
}

void CSearchHistoryDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SEARCHHISTLIST, m_listControl);
}


BEGIN_MESSAGE_MAP(CSearchHistoryDlg, CDialog)
	ON_WM_SIZE()
	ON_NOTIFY(NM_DBLCLK, IDC_SEARCHHISTLIST, OnNMDblclkList)
END_MESSAGE_MAP()

BEGIN_EASYSIZE_MAP(CSearchHistoryDlg)
	EASYSIZE(IDC_SEARCHHISTLIST,ES_BORDER,ES_BORDER,ES_BORDER,ES_BORDER,0)
END_EASYSIZE_MAP

void CSearchHistoryDlg::OnSize(UINT nType, int cx, int cy) 
{
    CDialog::OnSize(nType, cx, cy);
    UPDATE_EASYSIZE;
} 

BOOL CSearchHistoryDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
//	m_listControl.SetExtendedStyle( LVS_EX_FULLROWSELECT );
//	m_listControl.SetHeadings( _T("Search text;120") );
//	m_listControl.LoadColumnInfo();

	m_listControl.SetExtendedStyle( LVS_EX_FULLROWSELECT );
	m_listControl.SetHeadings( _T("Search,800;") );
	m_listControl.LoadColumnInfo();
	
	for (int i=0; i< MAX_SEARCHES; i++)
		m_listControl.AddItem(searches[i]);
	
	pickedOne = false;
	return TRUE;
}

void CSearchHistoryDlg::OnNMDblclkList(NMHDR *pNMHDR, LRESULT *pResult)
{
	int nIndex;

	// no selection?  abort
	nIndex = m_listControl.GetNextItem(-1, LVNI_SELECTED);
	if (nIndex == -1)
		return;
	pickedOne = true;

	m_wantThis = m_listControl.GetItemText(nIndex,0);
	OnOK();
}